from django.db import models
from django.utils import timezone


class PricingPlan(models.Model):
    id = models.AutoField(primary_key=True)
    code: str = models.CharField(max_length=300)
    token_limitations = models.IntegerField(default=0)
    duration = models.IntegerField(default=0)  # Day Count
    created_at = models.DateTimeField(default=timezone.now)
    updated_at = models.DateTimeField(auto_now=True)
